## node-redis 4.3.0+~1.1.0

=== benchmark/requirements.txt ===
redisbench_admin>=0.5.24

## node-redis 0.10.3

=== debian/changelog ===
node-redis (0.10.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Build-depend on nodejs, needed only as hint to resolve
      distro-wide source<->binary relationships
    + Build-depend on redis-server, needed for tests
  * debian/patches:
    + 0001-launch_redis-server_during_test.patch - bundle redis-server
      instance during tests, stop when tests finish
    + 0002-test_fix_colors_during_build.patch - disable colors
      during tests if NODE_DISABLE_COLORS environment variable is set
  * debian/rules: enable tests

 -- Leo Iannacone <l3on@ubuntu.com>  Thu, 19 Jun 2014 18:29:27 +0200

node-redis (0.10.1-1) unstable; urgency=low

  * Initial release (Closes: #742960)

 -- Leo Iannacone <l3on@ubuntu.com>  Wed, 16 Apr 2014 15:39:54 +0200

=== debian/control ===
Source: node-redis
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com> 
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
 , redis-server
Standards-Version: 3.9.5
Homepage: http://github.com/mranney/node_redis
Vcs-Git: git://anonscm.debian.org/collab-maint/node-redis.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-redis.git

Package: node-redis
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: redis client library for Node.js
 This is a complete Redis client for Node.js.
 .
 It supports all Redis commands, including many recently 
 added commands like EVAL from experimental Redis server branches.
 .
 Node.js is an event-based server-side JavaScript engine.

## node-redis 0.12.1

=== debian/changelog ===
node-redis (0.12.1-2) unstable; urgency=medium

  * Do not try to stop redis-server service (Closes: #765816)

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 26 Oct 2014 21:26:28 +0100

node-redis (0.12.1-1) unstable; urgency=medium

  * Imported Upstream version 0.12.1
  * Bump Standards-Version 3.9.6
  * Move to pkg-javascript
  * debian/control:
    - fix Upstream-Name
    - add Upstream-Contact
  * debian/patches:
    - 0001-launch_redis-server_during_test.patch: 
      + launch redis-server with unixsocket options, needed for tests
      + add console.log on redis-server stdout for debug
    - refresh other patches
  * debian/rules: stop default instance of redis-server before
    run tests
  * Add autopkgtest suite

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 12 Oct 2014 15:26:40 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
  , dh-buildinfo
  , nodejs
  , redis-server
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://github.com/mranney/node_redis
-Vcs-Git: git://anonscm.debian.org/collab-maint/node-redis.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-redis.git
+XS-Testsuite: autopkgtest
+Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-redis.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-redis.git
 
 Package: node-redis
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:

override_dh_auto_test:
	NODE_DISABLE_COLORS=1 nodejs test.js

=== debian/tests/control ===
Tests: require
Depends: node-redis

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-redis-$1.tar.gz/ \
 http://github.com/mranney/node_redis/tags .*/archive/v?([\d\.]+).tar.gz

## node-redis 2.8.0

=== debian/changelog ===
node-redis (2.8.0-1+deb10u1) buster; urgency=medium

  * Fix potential ReDoS (Closes: CVE-2021-29469)

 -- Yadd <yadd@debian.org>  Sun, 25 Apr 2021 14:09:33 +0200

node-redis (2.8.0-1) unstable; urgency=medium

  * Add components in gbp.conf and debian/watch (used for test only):
    - redis-commands
    - redis-parser (version 2.x)
    - double-ended-queue
  * Add myself to uploaders
  * Bump debhelper compatibility level to 11
  * Declare compliance with policy 4.3.0
  * Update VCS fields
  * New upstream version 2.8.0
  * Update tests (Closes: #917750, #830215, #842209, #812714)
  * Remove patches
  * Change section to javascript
  * Add upstream/metadata
  * Update links to https
  * Update description
  * Update debian/copyright

 -- Xavier Guimard <yadd@debian.org>  Mon, 07 Jan 2019 20:50:44 +0100

=== debian/control ===
Source: node-redis
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com>,
           Xavier Guimard <yadd@debian.org>
Section: javascript
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-buildinfo,
               nodejs
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/js-team/node-redis
Vcs-Git: https://salsa.debian.org/js-team/node-redis.git
Homepage: https://github.com/NodeRedis/node_redis

Package: node-redis
Architecture: all
Depends: ${misc:Depends},
         nodejs
Suggests: redis-server
Provides: node-double-ended-queue (= 0.9.7),
          node-redis-commands (= 1.4.0),
          node-redis-parser (= 2.6.0),
Description: redis client library for Node.js
 node-redis is a complete Redis client for Node.js.
 .
 It supports all Redis commands, including many recently
 added commands like EVAL from experimental Redis server branches.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/tests/control ===
Tests: require
Depends: node-redis
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-redis-$1.tar.gz/ \
 https://github.com/NodeRedis/node_redis/tags .*/archive/v?\.?([\d\.]+).tar.gz

opts="searchmode=plain,pgpmode=none,component=redis-commands" \
 https://registry.npmjs.org/redis-commands https://registry.npmjs.org/redis-commands/-/redis-commands-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=redis-parser" \
 https://registry.npmjs.org/redis-parser https://registry.npmjs.org/redis-parser/-/redis-parser-(2[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=double-ended-queue" \
 https://registry.npmjs.org/double-ended-queue https://registry.npmjs.org/double-ended-queue/-/double-ended-queue-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

## node-redis 2.8.0.1

=== debian/changelog ===
node-redis (2.8.0.1-1+dde) unstable; urgency=medium

  * update

 -- Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>  Wed, 20 Oct 2021 14:43:55 +0800

node-redis (2.8.0.1-1+dde) buster; urgency=medium

  * Fix potential ReDoS (Closes: CVE-2021-29469)

 -- Yadd <yadd@debian.org>  Sun, 25 Apr 2021 14:09:33 +0200

## node-redis 3.0.2

=== debian/changelog ===
node-redis (3.0.2-1) unstable; urgency=medium

  * New upstream version 3.0.2
  * Embed redis-errors and replace double-queue by denque
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Use pkg-js-tools auto install
  * Enable part of upstream test
  * Embed intercept-stdout, is-url, is2, tcp-port-used for test only
  * Update copyright
  * Add lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Mon, 17 Feb 2020 14:04:08 +0100

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,20 @@
            Xavier Guimard <yadd@debian.org>
 Section: javascript
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               dh-buildinfo,
-               nodejs
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12),
+               pkg-js-tools (>= 0.9.20~)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-redis
 Vcs-Git: https://salsa.debian.org/js-team/node-redis.git
 Homepage: https://github.com/NodeRedis/node_redis
+Rules-Requires-Root: no
 
 Package: node-redis
 Architecture: all
 Depends: ${misc:Depends},
          nodejs
 Suggests: redis-server
-Provides: node-double-ended-queue (= 0.9.7),
-          node-redis-commands (= 1.4.0),
-          node-redis-parser (= 2.6.0),
+Provides: ${nodejs:Provides}
 Description: redis client library for Node.js
  node-redis is a complete Redis client for Node.js.
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

override_dh_auto_test:
	# No test during build (requires root)

=== debian/tests/control ===
Test-Command: /usr/share/pkg-js-autopkgtest/runner require
Depends: @, nodejs, pkg-js-autopkgtest
Restrictions: superficial
Features: test-name=pkg-js-autopkgtest-require

Test-Command: /usr/share/pkg-js-autopkgtest/runner
Depends: @, @builddeps@, pkg-js-autopkgtest
 , mocha
 , node-bluebird
 , node-deep-is
 , node-ip-regex
 , node-uuid
 , redis
Restrictions: allow-stderr, skippable, needs-root
Features: test-name=pkg-js-autopkgtest

=== debian/watch ===
version=4

opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-redis-$1.tar.gz/ \
 https://github.com/NodeRedis/node_redis/tags .*/archive/v?\.?([\d\.]+).tar.gz

opts="searchmode=plain,pgpmode=none,component=redis-commands" \
 https://registry.npmjs.org/redis-commands https://registry.npmjs.org/redis-commands/-/redis-commands-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,component=redis-errors,pgpmode=none" \
 https://registry.npmjs.org/redis-errors https://registry.npmjs.org/redis-errors/-/redis-errors-([\d\.]+)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=redis-parser" \
 https://registry.npmjs.org/redis-parser https://registry.npmjs.org/redis-parser/-/redis-parser-(2[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,component=denque,pgpmode=none" \
 https://registry.npmjs.org/denque https://registry.npmjs.org/denque/-/denque-([\d\.]+)@ARCHIVE_EXT@ ignore

## node-redis 3.0.2+~cs5.18.1

=== debian/changelog ===
node-redis (3.0.2+~cs5.18.1-3) unstable; urgency=medium

  * Fix GitHub tags regex
  * Uploaders: remove Leo Iannacone, thanks for your work!
  * Fix potential ReDoS (Closes: CVE-2021-29469)

 -- Yadd <yadd@debian.org>  Sun, 25 Apr 2021 14:01:47 +0200

node-redis (3.0.2+~cs5.18.1-2) unstable; urgency=medium

  [ Xavier Guimard ]
  * Add node-lodash-packages in test dependencies

 -- Xavier Guimard <yadd@debian.org>  Mon, 21 Dec 2020 06:13:22 +0100

node-redis (3.0.2+~cs5.18.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Add ctype=nodejs to component(s)
  * Use dh-sequence-nodejs
  * Use uscan checksum and repack
  * New upstream version 3.0.2+~cs5.18.1
    Updates: redis-commands 1.6.0
  * Drop cross-spawn dependency (fixes debci)

 -- Xavier Guimard <yadd@debian.org>  Thu, 03 Dec 2020 21:38:24 +0100

node-redis (3.0.2-2) unstable; urgency=medium

  * Disable error tests incompatible with redis ≥ 6 (Closes: #960105)

 -- Xavier Guimard <yadd@debian.org>  Tue, 12 May 2020 15:22:28 +0200

=== debian/control ===
Source: node-redis
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Section: javascript
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/js-team/node-redis
Vcs-Git: https://salsa.debian.org/js-team/node-redis.git
Homepage: https://github.com/NodeRedis/node_redis
Rules-Requires-Root: no

Package: node-redis
Architecture: all
Depends: ${misc:Depends}
 , nodejs
Suggests: redis-server
Provides: ${nodejs:Provides}
Description: redis client library for Node.js
 node-redis is a complete Redis client for Node.js.
 .
 It supports all Redis commands, including many recently
 added commands like EVAL from experimental Redis server branches.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/tests/control ===
Test-Command: /usr/share/pkg-js-autopkgtest/runner require
Depends: @
 , nodejs
 , pkg-js-autopkgtest
Restrictions: superficial
Features: test-name=pkg-js-autopkgtest-require

Test-Command: /usr/share/pkg-js-autopkgtest/runner
Depends: @
 , @builddeps@
 , mocha
 , node-bluebird
 , node-debug
 , node-deep-is
 , node-ip-regex
 , node-lodash-packages
 , node-uuid
 , pkg-js-autopkgtest
 , redis
Restrictions: allow-stderr, skippable, needs-root
Features: test-name=pkg-js-autopkgtest

=== debian/watch ===
version=4

opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-redis-$1.tar.gz/ \
 https://github.com/NodeRedis/node_redis/tags .*/archive/.*/v?\.?([\d\.]+).tar.gz group

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=redis-commands" \
 https://registry.npmjs.org/redis-commands https://registry.npmjs.org/redis-commands/-/redis-commands-(\d[\d\.]*)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,ctype=nodejs,component=redis-errors,pgpmode=none" \
 https://registry.npmjs.org/redis-errors https://registry.npmjs.org/redis-errors/-/redis-errors-([\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=redis-parser" \
 https://registry.npmjs.org/redis-parser https://registry.npmjs.org/redis-parser/-/redis-parser-(2[\d\.]*)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,ctype=nodejs,component=denque,pgpmode=none" \
 https://registry.npmjs.org/denque https://registry.npmjs.org/denque/-/denque-([\d\.]+)@ARCHIVE_EXT@ checksum

## node-redis 3.1.2+~cs6.15.1

=== debian/changelog ===
node-redis (3.1.2+~cs6.15.1-1) unstable; urgency=medium

  * Update standards version to 4.6.0, no changes needed.
  * Fix d/watch
  * New upstream version 3.1.2+~cs6.15.1
  * Refresh patches
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Thu, 04 Nov 2021 06:29:50 +0100

node-redis (3.0.2+~cs5.18.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-redis: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 29 Aug 2021 01:29:52 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-redis
 Vcs-Git: https://salsa.debian.org/js-team/node-redis.git
 Homepage: https://github.com/NodeRedis/node_redis
@@ -17,6 +17,7 @@
  , nodejs
 Suggests: redis-server
 Provides: ${nodejs:Provides}
+Multi-Arch: foreign
 Description: redis client library for Node.js
  node-redis is a complete Redis client for Node.js.
  .

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 override_dh_auto_test:
 	# No test during build (requires root)

=== debian/watch ===
--- 
+++ 
@@ -1,7 +1,7 @@
 version=4
 
-opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-redis-$1.tar.gz/ \
- https://github.com/NodeRedis/node_redis/tags .*/archive/.*/v?\.?([\d\.]+).tar.gz group
+opts=filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-redis-$1/ \
+ https://github.com/NodeRedis/node-redis/tags .*/archive/.*/v?\.?([\d\.]+).tar.gz group
 
 opts="searchmode=plain,pgpmode=none,ctype=nodejs,component=redis-commands" \
  https://registry.npmjs.org/redis-commands https://registry.npmjs.org/redis-commands/-/redis-commands-(\d[\d\.]*)@ARCHIVE_EXT@ checksum

## node-redis 4.3.0+~1.1.0

=== debian/changelog ===
node-redis (4.3.0+~1.1.0-1) unstable; urgency=medium

  * New upstream version 4.3.0+~1.1.0

 -- Yadd <yadd@debian.org>  Mon, 29 Aug 2022 10:31:41 +0200

node-redis (4.2.0+~1.1.0-1) unstable; urgency=medium

  * New upstream version 4.2.0+~1.1.0

 -- Yadd <yadd@debian.org>  Sat, 09 Jul 2022 09:15:11 +0200

node-redis (4.1.1+~1.1.0-1) unstable; urgency=medium

  * Set upstream metadata fields: Security-Contact.
  * New upstream version 4.1.1+~1.1.0

 -- Yadd <yadd@debian.org>  Fri, 01 Jul 2022 11:50:30 +0200

node-redis (4.1.0+~1.1.0-1) unstable; urgency=medium

  * Declare compliance with policy 4.6.1
  * Drop dependency to nodejs
  * Drop components
  * Embed cluster-key-slot and fix debian/watch
  * New upstream version 4.1.0+~1.1.0 (Closes: #1013905)
  * Dependencies: require node-generic-pool > 3.8.2 and node-yallist
  * Drop test modules
  * Drop old patches
  * Build with tsc
  * Update test (only ts build test until node-yargs 17)
  * Update copyright

 -- Yadd <yadd@debian.org>  Mon, 27 Jun 2022 12:22:08 +0200

## node-redis 4.3.1+~1.1.0

=== debian/changelog ===
node-redis (4.3.1+~1.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.3.1+~1.1.0
  * Refresh tsc patch (Closes: #1022383)

 -- Yadd <yadd@debian.org>  Mon, 24 Oct 2022 08:32:59 +0200

## node-redis 4.5.0+~1.1.2

=== debian/changelog ===
node-redis (4.5.0+~1.1.2-1) unstable; urgency=medium

  * New upstream version 4.5.0+~1.1.2
  * Unfuzz patch

 -- Yadd <yadd@debian.org>  Tue, 22 Nov 2022 13:45:42 +0100

## node-redis 4.5.1+~1.1.2

=== debian/changelog ===
node-redis (4.5.1+~1.1.2-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Repository-Browse
  * Update standards version to 4.6.2, no changes needed
  * Update tsc patch (Closes: #1058541)

 -- Yadd <yadd@debian.org>  Wed, 13 Dec 2023 06:36:11 +0400

node-redis (4.5.1+~1.1.2-1) unstable; urgency=medium

  * New upstream version 4.5.1+~1.1.2

 -- Yadd <yadd@debian.org>  Tue, 29 Nov 2022 13:24:49 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,24 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
-Standards-Version: 4.6.0
+ , mocha <!nocheck>
+ , node-generic-pool (>= 3.8.2~)
+ , node-typescript
+ , node-yargs <!nocheck>
+ , node-yallist
+ , ts-node
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-redis
 Vcs-Git: https://salsa.debian.org/js-team/node-redis.git
 Homepage: https://github.com/NodeRedis/node_redis
+Testsuite: autopkgtest-pkg-nodejs
 Rules-Requires-Root: no
 
 Package: node-redis
 Architecture: all
 Depends: ${misc:Depends}
- , nodejs
+ , node-generic-pool (>= 3.8.2~)
+ , node-yallist
 Suggests: redis-server
 Provides: ${nodejs:Provides}
 Multi-Arch: foreign

=== debian/watch ===
version=4

opts=filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-redis-$1/ \
 https://github.com/NodeRedis/node-redis/tags .*/archive/.*/redis\@([\d\.]+).tar.gz group

opts=\
component=cluster-key-slot,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-cluster-key-slot-$1/ \
 https://github.com/Salakar/cluster-key-slot/tags .*/archive.*/v?([\d\.]+).tar.gz group

## node-redis 4.6.14+~1.1.2

=== debian/changelog ===
node-redis (4.6.14+~1.1.2-2) unstable; urgency=medium

  * Fix Version-Schema
  * Require dh-sequence-nodejs >= 0.16.0~

 -- Yadd <yadd@debian.org>  Sun, 17 Aug 2025 13:33:13 +0200

node-redis (4.6.14+~1.1.2-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.2
  * New upstream version 4.6.14+~1.1.2
  * Refresh patches
  * d/watch version 5

 -- Yadd <yadd@debian.org>  Sat, 16 Aug 2025 07:35:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: javascript
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
- , dh-sequence-nodejs
+ , dh-sequence-nodejs (>= 0.16.0~)
  , mocha <!nocheck>
  , node-generic-pool (>= 3.8.2~)
  , node-typescript
  , node-yargs <!nocheck>
  , node-yallist
  , ts-node
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-redis
 Vcs-Git: https://salsa.debian.org/js-team/node-redis.git
 Homepage: https://github.com/NodeRedis/node_redis

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,9 @@
 %:
 	dh $@
 
-override_dh_auto_test:
-	# No test during build (requires root)
+override_dh_auto_build:
+	cd packages/client && tsc
+	for p in graph json bloom search time-series; do \
+		(cd packages/$$p && tsc); \
+	done
+	tsc

=== debian/watch ===
Version: 5
Version-Schema: group

Template: Github
Owner: NodeRedis
Project: node-redis

Component: cluster-key-slot
Ctype: nodejs
Template: Github
Owner: Salakar
Project: cluster-key-slot
